.topbar {
  display: grid;
  grid-template-columns: 40px 1fr auto;
  grid-gap: 10px;
  align-items: center;
  padding: 0 10px;
  height: 60px;
  background: var(--gray-1);
  user-select: none;
}

.heroWrapper {
  flex: 0 0 40px;
  height: 40px;
}

.siteTitle {
  margin: 0;
  color: var(--gray-2);
  font-size: 1.25rem;
  line-height: 1;
}

.profileLink {
  font-size: 0.825rem;
  font-weight: 700;
  text-decoration: underline;
  color: var(--purple);
}

@media screen and (min-width: 480px) {
  .siteTitle {
    font-size: 1.5rem;
  }
  .profileLink {
    font-size: 1rem;
  }
}

@media screen and (min-width: 576px) {
  .topbar {
    grid-template-columns: 50px 1fr auto;
    height: 80px;
  }
  .heroWrapper {
    flex: 0 0 50px;
    height: 50px;
  }
  .siteTitle {
    font-size: 1.75rem;
    text-align: center;
  }
}

@media screen and (min-width: 992px) {
  .topbar {
    grid-template-columns: 60px 1fr auto;
    height: 100px;
  }
  .heroWrapper {
    flex: 0 0 60px;
    height: 60px;
  }
  .siteTitle {
    font-size: 2.25rem;
  }
  .profileLink {
    font-size: 1.25rem;
  }
}
